# class Net::IMAP::BodyTypeText

`Net::IMAP::BodyTypeText` represents TEXT body structures of messages.

#### Fields:¶ ↑

lines

  Returns the size of the body in text lines.

And `Net::IMAP::BodyTypeText` has all fields of `Net::IMAP::BodyTypeBasic`.

### Public Instance Methods

media_subtype() click to toggle source

Obsolete: use `subtype` instead. Calling this will generate a warning message to `stderr`, then return the value of `subtype`.

    # File lib/net/imap.rb, line 2004
    def media_subtype
      $stderr.printf("warning: media_subtype is obsolete.\n")
      $stderr.printf("         use subtype instead.\n")
      return subtype
    end

multipart?() click to toggle source

    # File lib/net/imap.rb, line 1997
    def multipart?
      return false
    end